=== modified file 'bzrlib/bundle/bundle_data.py'
--- bzrlib/bundle/bundle_data.py	2012-02-17 16:47:30 +0000
+++ bzrlib/bundle/bundle_data.py	2012-02-17 17:01:07 +0000
@@ -748,6 +748,10 @@
 
     root_inventory = property(_get_inventory)
 
+    def all_file_ids(self):
+        return set(
+            [entry.file_id for path, entry in self.inventory.iter_entries()])
+
     def list_files(self, include_root=False, from_dir=None, recursive=True):
         # The only files returned by this are those from the version
         inv = self.inventory

=== modified file 'bzrlib/tests/test_bundle.py'
--- bzrlib/tests/test_bundle.py	2012-02-17 16:37:38 +0000
+++ bzrlib/tests/test_bundle.py	2012-02-17 17:01:07 +0000
@@ -111,8 +111,8 @@
         return kind
 
     def make_entry(self, file_id, path):
-        from bzrlib.inventory import (InventoryEntry, InventoryFile
-                                    , InventoryDirectory, InventoryLink)
+        from bzrlib.inventory import (InventoryFile , InventoryDirectory,
+            InventoryLink)
         name = os.path.basename(path)
         kind = self.kind(file_id)
         parent_id = self.parent_id(file_id)
@@ -155,6 +155,12 @@
     def get_file_revision(self, file_id):
         return self.inventory[file_id].revision
 
+    def get_file_size(self, file_id):
+        return self.inventory[file_id].text_size
+
+    def get_file_sha1(self, file_id):
+        return self.inventory[file_id].text_sha1
+
     def contents_stats(self, file_id):
         if file_id not in self.contents:
             return None, None
@@ -323,7 +329,7 @@
         self.assertTrue(btree.path2id("grandparent/parent/file") is None)
 
     def sorted_ids(self, tree):
-        ids = list(tree)
+        ids = list(tree.all_file_ids())
         ids.sort()
         return ids
 

